<?php
/*
 * ----------------------------------------------------------------------------
 * BBSregister.php                                                         05/09/2008
 * This is the New User registration page for your Virtual Advanced web bbs!
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2008 Steve Winn. All Rights Reserved.
 * Atired VADV-PHP theme Copyright (C) 2008 Timothy Cornett and Nassau Web 
 * Technologies
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$VA_ACTION = 'Viewing New User Registration';

require_once('include_dir.php');                    // Get Include directory.
require_once('atired_config.php');		    // Atired theme configuration.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-control.inc.php');   // Include the BBS control information.
require_once($includeDir . 'va-misc.inc.php');      // Include miscellaneous functions.
require_once($includeDir . 'va-random.inc.php');    // Include random quotes.
require_once($includeDir . 'va-stats.inc.php');     // Include BBS statistics.
require_once($includeDir . 'va-vote.inc.php');      // Include the voting booth.
require_once($includeDir . 'at2k.inc.php');         // Include AT2k functions.
require_once($includeDir . 'forms.inc.php');        // Uses the common html functions.
require_once($includeDir . 'custom.inc.php');       // Global Footer file.

$stats = GetStats();
if ($VA_MAIN['newuserpw'] != md5(strtoupper(''))) {
    die('<br /><h4>This BBS requires a new user password. Please connect to the BBS to create a new account. Press the BACK button on your browser.</h4>');
}
if (($USER['userno'] > 0) &&
    ($USER['userno'] != $CONFIG['guestacct']) &&
    ($USER['securitylevel'] > 0)) {
    die('<br /><h4>You already have an account and are logged in! Press the BACK button on your browser.</h4>');
}

?>
<html>
<head>
<title><?php print $title; ?></title>
<link rel="stylesheet" href="style.css" type="text/css" />
</head>


<body>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='uple'><img src='<?php print $imagepath; ?>/blank.gif' width='59' height='38' alt='' style='display: block;' /></td>
<td class='uplerep'>
<MARQUEE>
<?php print $marquee; ?>
</MARQUEE>
</td>
<td class='upletrans'><img src='<?php print $imagepath; ?>/blank.gif' width='15' height='38' alt='' style='display: block;' /></td>
<td class='uprep'>
</td>
<td class='trans'><img src='<?php print $imagepath; ?>/blank.gif' width='16' height='38' alt='' style='display: block;' /></td>
<td class='uprirep'>
<div style='text-align:center'>
<?php print Date("g:ia l, F j, Y"); ?>
</div>
</td> 
<td class='upri'><img src='<?php print $imagepath; ?>/blank.gif' width='62' height='38' alt='' style='display: block;' /></td> 
</tr>
</table>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='logole'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
<td class='logo'><img src='<?php print $imagepath; ?>/blank.gif' width='736px' height='108' alt='' style='display: block;' /></td>
<td class='logorep'>
<div style='text-align:center'>
<a target="vadvbbs.com_blank" href="http://www.vadvphp.com"><img src="<?php print $imagepath; ?>/vadv-php-red.gif" border='0' alt='vadvphp.com'></a>
</div>
</td>
<td class='logori'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='bulole'><img src='<?php print $imagepath; ?>/blank.gif' width='67' height='38' alt='' style='display: block;' /></td>
<td class='bulorep'>
<CENTER>
<b>New User Registration</b>
</CENTER>
</td>
<td class='bulori'><img src='<?php print $imagepath; ?>/blank.gif' width='66' height='38' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='1' alt='' style='display: block;' /></td>
<td width='4%'></td>
<td style='width:15%; vertical-align: top' >
<?php
include('INC/navblock.inc');
?>
<?php
include('INC/webuser-block.inc');
?>
<?php
include('INC/wap-block.inc');
?>
</td>
<td width='4%'></td>
<td style='width:85%; vertical-align: top'>
 <br>
<table width="700" cellpadding=0 cellspacing=0 border=0>
<tr>
<td height="8"><img src="<?php print $imagepath; ?>/blocktop.gif"></td>
</tr>
</table>
<table width="700" cellpadding=0 cellspacing=0 border=0 bgcolor="#000000">
<tr>
<td class="poeple" width="7" bgcolor="#000000"> </td>
<td colspan=2>
<div align="center">
    <center>
    <table border="0" width="640" cellspacing="0" cellpadding="5" bordercolor="#FFFFFF">
        <tr>
            <td align="center" valign="top">
                <p class="yellowTitle"><?php print HtmlSpace($VA_MAIN['bbsname']); ?>'s New User Registration</p>
                <table cellspacing="1" width="100%">
                    <tr>
                        <td align="center" valign="top">
                            <?php
                            if (isset($_GET['error'])) {
                                switch ($_GET['error']) {
                                    case 'username':
                                        $error = 'That username is not valid or is already being used. Please choose another.';
                                        break;
                                    case 'password':
                                        $error = 'Please verify your password again.';
                                        break;
                                    case 'realname':
                                        $error = 'You must enter your real name.';
                                        break;
                                    case 'address':
                                        $error = 'You must enter your address.';
                                        break;
                                    case 'city':
                                        $error = 'You must enter your city.';
                                        break;
                                    case 'state':
                                        $error = 'You must enter your state.';
                                        break;
                                    case 'zipcode':
                                        $error = 'You must enter your zip code.';
                                        break;
                                    case 'voice':
                                        $error = 'You must enter your phone number.';
                                        break;
                                    case 'data':
                                        $error = 'You must enter your fax/data number.';
                                        break;
                                    case 'bday':
                                        $error = 'You must enter your birthday.';
                                        break;
                                    case 'bdaydate':
                                        $error = 'The birthday date is invalid.';
                                        break;
                                }
                                print '<span class="infoBarBody">--' . $error . '--</span><br />';
                            }
                            ?>
                            <p><a class="return" href="index.php">Return to main BBS page.</a></p>
                            <?php
                            $file = $VA_SYSPATHS['text'] . '/NWEBUSER.TXT';
                            if (is_file($file)) {
                            ?>
                            <table cellpadding="4" cellspacing="0" border="1" bgcolor="#C0C0C0">
                                <tr>
                                    <td class="newutext" align="left">
                                        <?php
                                            $text = trim(ReadCfgFile($file));
                                            $text = StripANSICodes(StripBBSCodes($text));
                                            print '<PRE>' . $text . '</PRE>';
                                        ?>
                                    </td>
                                </tr>
                            </table>
                            <?php
                            }
                            ?>
                            <?php RegistrationBox(); ?>
                        </td>
                    </tr>
                </table>
                <p><span class="navBar">This page is powered
                by <a class="navBar" href="http://www.vadvphp.com">VADV-PHP</a></span></p>
                <p class="infoBarBody">If you experience any problems
                with this website or need help, contact the
                <a class="infoBarBody" href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br />
                VADV-PHP Copyright  2002-<?php print date('Y'); ?> Aspect
                Technologies. All Rights Reserved.<br>Atired Theme for VADV-PHP Copyright  2008 <a class="navBar" href="http://scripts.nwebt.com">Nassau Web Technologies</a>. All Rights Reserved</p>
            </td>
        </tr>
    </table>
    </center>
</div>
</td>
<td class="poepri" width="7" bgcolor="#000000"> </td>
</tr>
</table>
<table width="700" height="8" cellpadding=0 cellspacing=0 border=0>
<tr>
<td><img src="<?php print $imagepath; ?>/blockbottom.gif"></td>
</tr>
</table>
<br>                                                     
</td>
<td width='2%'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='footertext' >
<div style='text-align:center' class='smalltext'>
<br/>
{SITEDISCLAIMER}
<br/>
<br/>
{THEMEDISCLAIMER}
</div>
</td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='ole'><img src='<?php print $imagepath; ?>/blank.gif' width='29' height='12' alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='ori'><img src='<?php print $imagepath; ?>/blank.gif' width='27' height='12' alt='' style='display: block;' /></td>
</tr>
</table>

<br/>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neule'><img src='<?php print $imagepath; ?>/blank.gif' width='48' height='32' alt='' style='display: block;' /></td>
<td class='neurep'>
<div style='text-align:center'>
<b>From the desk of the Sysop</b>
</div>	
</td>
<td class='neuri'><img src='<?php print $imagepath; ?>/blank.gif' width='50' height='32' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neurule'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
<td class='neururep'>
<?php
include('INC/sysop_content-block.inc');
?>
</td>
<td class='neururi'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neurule'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
<td class='nexrurep'>
<div style='text-align:center'>
<!-- Other Text can go here -->
</div>
</td>
<td class='neururi'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neorle'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorri'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' colspan='4' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neurule'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
<td width='973'>
<div style='text-align:center'>
<?php CustomFooter(); ?>
<?php print '<p align="center"><b>.: ' . number_format($stats['webhitstotal']) . ' :.</b></p>'; ?>
</div>
</td>
<td class='neururi'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neorle'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorri'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<br/>

</body>
</html>