<?php
/*
 * ----------------------------------------------------------------------------
 * Topten.php                                                         05/08/2008
 * This is the Top ten page for your Virtual Advanced web bbs!
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2008 Steve Winn. All Rights Reserved.
 * Atired VADV-PHP theme Copyright (C) 2008 Timothy Cornett and Nassau Web Technologies
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$VA_ACTION = 'Viewing Top ten';

require_once('include_dir.php');                    // Get Include directory.
require_once('../atired_config.php');		    // Atired theme configuration.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-control.inc.php');   // Include the BBS control information.
require_once($includeDir . 'va-misc.inc.php');      // Include miscellaneous functions.
require_once($includeDir . 'va-random.inc.php');    // Include random quotes.
require_once($includeDir . 'va-stats.inc.php');     // Include BBS statistics.
require_once($includeDir . 'va-vote.inc.php');      // Include the voting booth.
require_once($includeDir . 'at2k.inc.php');         // Include AT2k functions.
require_once($includeDir . 'forms.inc.php');        // Uses the common html functions.
require_once($includeDir . 'custom.inc.php');       // Global Footer file.

$stats = GetStats();

$topten = UserStats(254);                   // Get the user stats (not the sysops).


?>
<html>
<head>
<title><?php print $title; ?></title>
<link rel="stylesheet" href="<?php print $url; ?>/style.css" type="text/css" />
</head>


<body>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='uple'><img src='<?php print $imagepath; ?>/blank.gif' width='59' height='38' alt='' style='display: block;' /></td>
<td class='uplerep'>
<MARQUEE>
<?php print $marquee; ?>
</MARQUEE>
</td>
<td class='upletrans'><img src='<?php print $imagepath; ?>/blank.gif' width='15' height='38' alt='' style='display: block;' /></td>
<td class='uprep'>
</td>
<td class='trans'><img src='<?php print $imagepath; ?>/blank.gif' width='16' height='38' alt='' style='display: block;' /></td>
<td class='uprirep'>
<div style='text-align:center'>
<?php print Date("g:ia l, F j, Y"); ?>
</div>
</td> 
<td class='upri'><img src='<?php print $imagepath; ?>/blank.gif' width='62' height='38' alt='' style='display: block;' /></td> 
</tr>
</table>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='logole'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
<td class='logo'><img src='<?php print $imagepath; ?>/blank.gif' width='736px' height='108' alt='' style='display: block;' /></td>
<td class='logorep'>
<div style='text-align:center'>
<a target="vadvbbs.com_blank" href="http://www.vadvphp.com"><img src="<?php print $imagepath; ?>/vadv-php-red.gif" border='0' alt='vadvphp.com'></a>
</div>
</td>
<td class='logori'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='bulole'><img src='<?php print $imagepath; ?>/blank.gif' width='67' height='38' alt='' style='display: block;' /></td>
<td class='bulorep'>
<CENTER>
<b><?php print $VA_MAIN['bbsname'] . ": Top Ten List"; ?></b></CENTER>
</td>
<td class='bulori'><img src='<?php print $imagepath; ?>/blank.gif' width='66' height='38' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='1' alt='' style='display: block;' /></td>
<td width='4%'></td>
<td style='width:99%; vertical-align: top'>
<!-- Content Blocks (*_block.inc) files go here -->
<div align="center">
    <table cellspacing="0" cellpadding="0" width="100%">
        <tr>
            <td class="msgBack" align="left" valign="top">
                <a class="msgBack" href="<?php print $rootDir; ?>index.php">Back</a>
            </td>
            <td class="msgBack" align="right" valign="top">
                <a class="msgBack" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
            </td>
        </tr>
    </table>
</div>
</td>
<td width='2%'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='footertext' >
<br>
<center>
<table width="700" cellpadding=0 cellspacing=0 border=0>
<tr>
<td height="8"><img src="<?php print $imagepath; ?>/blocktop.gif"></td>
</tr>
</table>
<table width="700" cellpadding=0 cellspacing=0 border=0 bgcolor="#000000">
<tr>
<td class="poeple" width="7" bgcolor="#000000"> </td>
<td colspan=2>
<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Callers</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Calls</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['totalcalls'][0] < 10) {
    $max = $topten['totalcalls'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['totalcalls'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['totalcalls'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['totalcalls'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['totalcalls'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
<br />

<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Time Users</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Minutes</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['totaltime'][0] < 10) {
    $max = $topten['totaltime'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['totaltime'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['totaltime'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['totaltime'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['totaltime'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
<br />

<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Message Posters</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Messages</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['totalposts'][0] < 10) {
    $max = $topten['totalposts'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['totalposts'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['totalposts'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['totalposts'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['totalposts'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
<br />

<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Emailers</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Emails</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['totalemail'][0] < 10) {
    $max = $topten['totalemail'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['totalemail'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['totalemail'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['totalemail'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['totalemail'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
<br />

<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Downloaders</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Files</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['dlfiles'][0] < 10) {
    $max = $topten['dlfiles'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['dlfiles'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['dlfiles'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['dlfiles'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['dlfiles'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
<br />

<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Downloaders by KB</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>KB</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['dlkb'][0] < 10) {
    $max = $topten['dlkb'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['dlkb'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['dlkb'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['dlkb'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['dlkb'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
<br />

<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Uploaders</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Files</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['uplfiles'][0] < 10) {
    $max = $topten['uplfiles'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['uplfiles'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['uplfiles'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['uplfiles'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['uplfiles'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
<br />

<div align="center">
    <table border="0" cellpadding="0" cellspacing="10">
        <tr class="header">
            <td colspan="4" align="left"><font size=2>Top Uploaders by KB</font></td>
        </tr>
        <tr class="subHeader">
            <td width="40" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>#</font></td>
            <td width="60" align="right" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>User #</font></td>
            <td width="230" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>Handle</font></td>
            <td width="120" align="left" valign="top" style="border-bottom: 1px solid #525552">
                <font size=2>KB</font></td>
        </tr>
        <tr class="body">
            <td align="right" valign="top">
<?php
if ($topten['uplkb'][0] < 10) {
    $max = $topten['uplkb'][0];
} else {
    $max = 10;
}
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FF5552"><font size=2>' . $x . '</span><br />' . "\n";
}
?>
            </td>
            <td align="right" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #5255FF"><font size=2>' . $topten['uplkb'][$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<a href="userinfo.php?u=' . $topten['uplkb'][$x]['userno'] . '"><span style="color: #FFFFFF"><font size=2>' . HtmlSpace($topten['uplkb'][$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td align="left" valign="top">
<?php
for ($x = 1; $x <= $max; $x++) {
    print '<span style="color: #FFFF52"><font size=2>' . $topten['uplkb'][$x]['value'] . '</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
</div>
</td>
<td class="poepri" width="7" bgcolor="#000000"> </td>
</tr>
</table>
<table width="700" height="8" cellpadding=0 cellspacing=0 border=0>
<tr>
<td><img src="<?php print $imagepath; ?>/blockbottom.gif"></td>
</tr>
</table>
</center>
<br>
</td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='ole'><img src='<?php print $imagepath; ?>/blank.gif' width='29' height='12' alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='ori'><img src='<?php print $imagepath; ?>/blank.gif' width='27' height='12' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' colspan='4' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neurule'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
<td width='973'>
<div style='text-align:center'>
<?php CustomFooter(); ?>
<?php print '<p align="center"><b>.: ' . number_format($stats['webhitstotal']) . ' :.</b></p>'; ?>
</div>
</td>
<td class='neururi'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neorle'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorri'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<br/>

</body>
</html>