<?php
/*
 * ----------------------------------------------------------------------------
 * Userinfo.php                                                         05/08/2008
 * This is the User Info page for your Virtual Advanced web bbs!
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2008 Steve Winn. All Rights Reserved.
 * Atired VADV-PHP theme Copyright (C) 2008 Timothy Cornett and Nassau Web Technologies
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$VA_ACTION = 'Viewing User Info';

require_once('include_dir.php');                    // Get Include directory.
require_once('../atired_config.php');		    // Atired theme configuration.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-control.inc.php');   // Include the BBS control information.
require_once($includeDir . 'va-misc.inc.php');      // Include miscellaneous functions.
require_once($includeDir . 'va-random.inc.php');    // Include random quotes.
require_once($includeDir . 'va-stats.inc.php');     // Include BBS statistics.
require_once($includeDir . 'va-vote.inc.php');      // Include the voting booth.
require_once($includeDir . 'at2k.inc.php');         // Include AT2k functions.
require_once($includeDir . 'forms.inc.php');        // Uses the common html functions.
require_once($includeDir . 'custom.inc.php');       // Global Footer file.

$stats = GetStats();

if (isset($_GET['u'])) {                    // Set the passed variables.
    $userno = (integer) $_GET['u'];
} else {
    RedirectUser($rootDir . 'index.php');
}

$user = GetUser($userno);                   // Get the user's information.

if (intval($user['laston']) == 0) {
    $user['laston'] = '000000';
}
$laston = substr($user['laston'], 2, 2) . '/' . substr($user['laston'], 4, 2) . '/' . substr($user['laston'], 0, 2);


?>
<html>
<head>
<title><?php print $title; ?></title>
<link rel="stylesheet" href="<?php print $url; ?>/style.css" type="text/css" />
</head>


<body>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='uple'><img src='<?php print $imagepath; ?>/blank.gif' width='59' height='38' alt='' style='display: block;' /></td>
<td class='uplerep'>
<MARQUEE>
<?php print $marquee; ?>
</MARQUEE>
</td>
<td class='upletrans'><img src='<?php print $imagepath; ?>/blank.gif' width='15' height='38' alt='' style='display: block;' /></td>
<td class='uprep'>
</td>
<td class='trans'><img src='<?php print $imagepath; ?>/blank.gif' width='16' height='38' alt='' style='display: block;' /></td>
<td class='uprirep'>
<div style='text-align:center'>
<?php print Date("g:ia l, F j, Y"); ?>
</div>
</td> 
<td class='upri'><img src='<?php print $imagepath; ?>/blank.gif' width='62' height='38' alt='' style='display: block;' /></td> 
</tr>
</table>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='logole'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
<td class='logo'><img src='<?php print $imagepath; ?>/blank.gif' width='736px' height='108' alt='' style='display: block;' /></td>
<td class='logorep'>
<div style='text-align:center'>
<a target="vadvbbs.com_blank" href="http://www.vadvphp.com"><img src="<?php print $imagepath; ?>/vadv-php-red.gif" border='0' alt='vadvphp.com'></a>
</div>
</td>
<td class='logori'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='bulole'><img src='<?php print $imagepath; ?>/blank.gif' width='67' height='38' alt='' style='display: block;' /></td>
<td class='bulorep'>
<CENTER>
<b><?php print $VA_MAIN['bbsname'] . ": User Information"; ?></b></CENTER>
</td>
<td class='bulori'><img src='<?php print $imagepath; ?>/blank.gif' width='66' height='38' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='1' alt='' style='display: block;' /></td>
<td width='4%'></td>
<td style='width:99%; vertical-align: top'>
<!-- Content Blocks (*_block.inc) files go here -->
<div align="center">
    <table cellspacing="0" cellpadding="0" width="100%">
        <tr>
            <td class="msgBack" align="left" valign="top">
                <a class="msgBack" href="<?php print $rootDir; ?>index.php"><font color="#FFFFFF" size="1">Back</font></a>
            </td>
            <td class="msgBack" align="right" valign="top">
                <a class="msgBack" href="<?php print $rootDir; ?>index.php"><font color="#FFFFFF" size="1">Return to Home Page</font></a>
            </td>
        </tr>
    </table>
</div>
</td>
<td width='2%'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='footertext' >
<div align="center">
<br>
<center>
<table width="700" cellpadding=0 cellspacing=0 border=0>
<tr>
<td height="8"><img src="<?php print $imagepath; ?>/blocktop.gif"></td>
</tr>
</table>
<table width="700" cellpadding=0 cellspacing=0 border=0>
<tr>
<td class="poeple" width="7" bgcolor="#000000"> </td>
<td colspan=2>
    <center>
    <table border="0" cellpadding="5" cellspacing="0" width="686" bgcolor="#000000" bordercolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" cellpadding="5" bgcolor="#000000" width="100%">
                    <tr>
                        <td align="center">
                            <table border="0" style="border-collapse: collapse" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td class="heading" align="center" height="40">
                                        <font color="#FFD700" size="4"><?php print 'Profile of: ' . HtmlSpace($user['handle']); ?></font>
                                    </td>
                                </tr>
                            </table>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td class="footer" align="center" height="40">
                                        <?php
                                        if (($USER['userno'] == $userno) &&
                                            ($USER['userno'] > 0) &&
                                            ($USER['userno'] != $CONFIG['guestacct'])) {
                                            print '<a class="footer" href="edituser.php"><font size=2>Edit your account.</font></a><br />';
                                        }

                                        if (($USER['securitylevel'] >= 255) &&
                                            ($USER['userno'] > 0) &&
                                            ($USER['userno'] != $CONFIG['guestacct'])) {
                                            print '<a class="footer" href="usereditor.php?u=' . $user['userno'] . '"><font size=2>Edit this account (SysOp Editor).</font></a><br />';
                                        }

                                        if (($USER['userno'] > 0) &&
                                            ($USER['userno'] != $CONFIG['guestacct']) &&
                                            ($USER['userno'] != $userno) &&
                                            ($USER['securitylevel'] >= $VA_MAIN['emlothers'])) {
                                            print '<a class="footer" href="' . $rootDir . 'forums/post-email.php?u=' . $userno . '&referer=' . urlencode(GetCurrentURL()) . '"><font size=2>Email this user.</font></a><br />';
                                        }
                                        ?>
                                        </td>
                                </tr>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <tr>
                                    <td class="pre" align="left">
                                        <font size=2>User #...: </font><span class="pre2"><font size=2><?php print $user['userno']; ?></font></span><br />
                                        <font size=2>Handle...: </font><span class="pre2"><font size=2><?php print HtmlSpace($user['handle']); ?></font></span><br />
                                        <font size=2>Real Name: </font><span class="pre2"><font size=2><?php print HtmlSpace($user['realname']); ?></font></span><br />
                                        <font size=2>City.....: </font><span class="pre2"><font size=2><?php print HtmlSpace($user['city']); ?></font></span><br />
                                        <font size=2>State....: </font><span class="pre2"><font size=2><?php print $user['state']; ?></font></span><br />
                                        <?php
                                        if ($USER['userno'] == $userno) {
                                        ?>
                                        <br />
                                        <font size=2>Time Per Day...: </font><span class="pre2"><font size=2><?php print $user['maxtime']; ?> minutes</font></span><br />
                                        <font size=2>Time Left Today: </font><span class="pre2"><font size=2><?php print $user['maxtime'] - $user['timecounter']; ?> minutes</font></span><br />
                                        <font size=2>Time Bank Time.: </font><span class="pre2"><font size=2><?php print $user['timebank']; ?> minutes</font></span><br />
                                        <font size=2>Credits........: </font><span class="pre2"><font size=2><?php print $user['credits']; ?></font></span><br />
                                        <?php
                                        }
                                        ?>
                                        <br />
                                        <font size=2>Total Calls: </font><span class="pre2"><font size=2><?php print $user['totalcalls']; ?></font></span><br />
                                        <font size=2>Total Time.: </font><span class="pre2"><font size=2><?php print round($user['totaltime'] / 60, 2); ?> hours</font></span><br />
                                        <font size=2>Last Online: </font><span class="pre2"><font size=2><?php print $laston; ?></font></span><br />
                                        <br />
                                        <font size=2>Uploaded Files..: </font><span class="pre2"><font size=2><?php print $user['uplfiles']; ?></font></span><br />
                                        <font size=2>Uploaded KB.....: </font><span class="pre2"><font size=2><?php print $user['uplkb']; ?> KB</font></span><br />
                                        <font size=2>Downloaded Files: </font><span class="pre2"><font size=2><?php print $user['dlfiles']; ?></font></span><br />
                                        <font size=2>Downloaded KB...: </font><span class="pre2"><font size=2><?php print $user['dlkb']; ?> KB</font></span><br />
                                        <font size=2>Total Posts.....: </font><span class="pre2"><font size=2><?php print $user['totalposts']; ?></font></span><br />
                                        <font size=2>Total Emails....: </font><span class="pre2"><font size=2><?php print $user['totalemail']; ?></font></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <tr>
                                    <td class="footer" align="center" height="40">
                                        <?php
                                        if (($USER['userno'] == $userno) &&
                                            ($USER['userno'] > 0) &&
                                            ($USER['userno'] != $CONFIG['guestacct'])) {
                                            print '<a class="footer" href="edituser.php">Edit your account.</a><br />';
                                        }

                                        if (($USER['securitylevel'] >= 255) &&
                                            ($USER['userno'] > 0) &&
                                            ($USER['userno'] != $CONFIG['guestacct'])) {
                                            print '<a class="footer" href="usereditor.php?u=' . $user['userno'] . '"><font size=2>Edit this account (SysOp Editor).</font></a><br />';
                                        }

                                        if (($USER['userno'] > 0) &&
                                            ($USER['userno'] != $CONFIG['guestacct']) &&
                                            ($USER['userno'] != $userno) &&
                                            ($USER['securitylevel'] >= $VA_MAIN['emlothers'])) {
                                            print '<a class="footer" href="' . $rootDir . 'forums/post-email.php?u=' . $userno . '&referer=' . urlencode(GetCurrentURL()) . '"><font size=2>Email this user.</font></a><br />';
                                        }
                                        ?>                                        
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>
</td>
<td class="poepri" width="7" bgcolor="#000000"> </td>
</tr>
</table>
<table width="700" height="8" cellpadding=0 cellspacing=0 border=0>
<tr>
<td><img src="<?php print $imagepath; ?>/blockbottom.gif"></td>
</tr>
</table>
</center>
<br>

</td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='ole'><img src='<?php print $imagepath; ?>/blank.gif' width='29' height='12' alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='ori'><img src='<?php print $imagepath; ?>/blank.gif' width='27' height='12' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' colspan='4' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neurule'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
<td width='973'>
<div style='text-align:center'>
<?php CustomFooter(); ?>
</div>
</td>
<td class='neururi'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neorle'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorri'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<br/>

</body>
</html>