<?php
/*
 * ----------------------------------------------------------------------------
 * Who.php                                                         05/07/2008
 * This is the Who's Online page for your Virtual Advanced web bbs!
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2008 Steve Winn. All Rights Reserved.
 * Atired VADV-PHP theme Copyright (C) 2008 Timothy Cornett and Nassau Web Technologies
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$VA_ACTION = 'Viewing Home Page';

require_once('include_dir.php');                    // Get Include directory.
require_once('../atired_config.php');		    // Atired theme configuration.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-control.inc.php');   // Include the BBS control information.
require_once($includeDir . 'va-misc.inc.php');      // Include miscellaneous functions.
require_once($includeDir . 'va-random.inc.php');    // Include random quotes.
require_once($includeDir . 'va-stats.inc.php');     // Include BBS statistics.
require_once($includeDir . 'va-vote.inc.php');      // Include the voting booth.
require_once($includeDir . 'at2k.inc.php');         // Include AT2k functions.
require_once($includeDir . 'forms.inc.php');        // Uses the common html functions.
require_once($includeDir . 'custom.inc.php');       // Global Footer file.

$stats = GetStats();

$who = GetControl();
$maxChannel = 10;   // Display only first 10 channels.
if ($VA_MAIN['maxchannelno'] < 10) {
    $maxChannel = $VA_MAIN['maxchannelno'];
}


?>
<html>
<head>
<title><?php print $title; ?></title>
<link rel="stylesheet" href="<?php print $url; ?>/style.css" type="text/css" />
</head>


<body>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='uple'><img src='<?php print $imagepath; ?>/blank.gif' width='59' height='38' alt='' style='display: block;' /></td>
<td class='uplerep'>
<MARQUEE>
<?php print $marquee; ?>
</MARQUEE>
</td>
<td class='upletrans'><img src='<?php print $imagepath; ?>/blank.gif' width='15' height='38' alt='' style='display: block;' /></td>
<td class='uprep'>
</td>
<td class='trans'><img src='<?php print $imagepath; ?>/blank.gif' width='16' height='38' alt='' style='display: block;' /></td>
<td class='uprirep'>
<div style='text-align:center'>
<?php print Date("g:ia l, F j, Y"); ?>
</div>
</td> 
<td class='upri'><img src='<?php print $imagepath; ?>/blank.gif' width='62' height='38' alt='' style='display: block;' /></td> 
</tr>
</table>



<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='logole'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
<td class='logo'><img src='<?php print $imagepath; ?>/blank.gif' width='736px' height='108' alt='' style='display: block;' /></td>
<td class='logorep'>
<div style='text-align:center'>
<a target="vadvbbs.com_blank" href="http://www.vadvphp.com"><img src="<?php print $imagepath; ?>/vadv-php-red.gif" border='0' alt='vadvphp.com'></a>
</div>
</td>
<td class='logori'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='108' alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='bulole'><img src='<?php print $imagepath; ?>/blank.gif' width='67' height='38' alt='' style='display: block;' /></td>
<td class='bulorep'>
<CENTER>
<b><?php print $VA_MAIN['bbsname'] . ": Who's Online"; ?></b></CENTER>
</td>
<td class='bulori'><img src='<?php print $imagepath; ?>/blank.gif' width='66' height='38' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11' height='1' alt='' style='display: block;' /></td>
<td width='4%'></td>
<td style='width:99%; vertical-align: top'>
<!-- Content Blocks (*_block.inc) files go here -->
<div align="center">
    <table cellspacing="0" cellpadding="0" width="100%">
        <tr>
            <td class="msgBack" align="left" valign="top">
                <a class="msgBack" href="<?php print $rootDir; ?>index.php">Back</a>
            </td>
            <td class="msgBack" align="right" valign="top">
                <a class="msgBack" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
            </td>
        </tr>
    </table>
</div>
</td>
<td width='2%'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='framele'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
<td class='footertext' >
<div align="center">
<br>
<center>
<table width="700" cellpadding=0 cellspacing=0 border=0>
<tr>
<td height="8"><img src="<?php print $imagepath; ?>/blocktop.gif"></td>
</tr>
</table>
<table width="700" cellpadding=0 cellspacing=0 border=0 bgcolor="#000000">
<tr>
<td class="poeple" width="7" bgcolor="#000000"> </td>
<td colspan=2>
    <center>
    <table border="0" cellspacing="10" cellpadding="0">
        <tr>
            <td align="right" valign="top" width="40" style="border-bottom: 1px solid #525552">
                <span class="header"><font size="2">Ch #</font></span></td>
            <td align="right" valign="top" width="60" style="border-bottom: 1px solid #525552">
                <span class="header"><font size="2">User #</font></span></td>
            <td align="left" valign="top" width="230" style="border-bottom: 1px solid #525552">
                <span class="header"><font size="2">Handle</font></span></td>
            <td align="left" valign="top" width="230" style="border-bottom: 1px solid #525552">
                <span class="header"><font size="2">Action</font></span></td>
            <td align="left" valign="top" width="60" style="border-bottom: 1px solid #525552">
                <span class="header"><font size="2">Baud</font></span></td>
        </tr>
        <tr>
            <td class="body" align="right" valign="top">
<?php
for ($x = 0; $x <= $maxChannel; $x++) {
    print '<span style="color: #FF5552"><font size="2">' . $x . '</font></span><br />' . "\n";
}
?>
            </td>
            <td class="body" align="right" valign="top">
<?php
for ($x = 0; $x <= $maxChannel; $x++) {
    print '<span style="color: #5255FF"><font size="2">' . $who[$x]['userno'] . '</font></span><br />' . "\n";
}
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
for ($x = 0; $x <= $maxChannel; $x++) {
    print '<a href="userinfo.php?u=' . $who[$x]['userno'] . '"><span style="color: #FFFFFF"><font size="2">' . HtmlSpace($who[$x]['handle']) . '</font></span></a><br />' . "\n";
}
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
for ($x = 0; $x <= $maxChannel; $x++) {
    print '<span style="color: #FFFF52"><font size="2">' . HtmlSpace($who[$x]['action']) . '</font></span><br />' . "\n";
}
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
for ($x = 0; $x <= $maxChannel; $x++) {
    if ($who[$x]['baudrate'] == 0) {
        print '<span style="color: #52FF52"><font size="2">Local</font><br />' . "\n";
    } else if ($who[$x]['baudrate'] == 11520) {
        print '<span style="color: #52FF52">115200</font><br />' . "\n";
    } else if ($who[$x]['baudrate'] == 4294967295) {
        print '<span style="color: #52FF52"><br />' . "\n";
    } else {
        print '<span style="color: #52FF52"><font size="2">' . $who[$x]['baudrate'] . '</font></span><br />' . "\n";
    }
}
?>
            </td>
        </tr>
        <tr>
<?php
// Get number of guests...
$totalGuests = 0;
for ($x = 1; $x <= $VA_USERS[0]; $x++) {
    if (($VA_USERS[$x]['userno'] == 0) ||
        ($VA_USERS[$x]['userno'] == $CONFIG['guestacct'])) {
        $totalGuests++;
    }
}
if ($totalGuests > 0) {
    $totalUsers = $VA_USERS[0] - $totalGuests + 1;
} else {
    $totalUsers = $VA_USERS[0];
}
?>
            <td class="body" align="right" valign="top">
<?php
for ($x = 1; $x <= $totalUsers; $x++) {
    print '<span style="color: #FF5552"><font size="2">Web</font></span><br />' . "\n";
}
?>
            </td>
            <td class="body" align="right" valign="top">
<?php
for ($x = 0; $x <= $VA_USERS[0]; $x++) {
    if (($x == 0) && ($totalGuests > 0)) {
        print '<span style="color: #5255FF"><font size="2">0</font></span><br />' . "\n";
    } else {
        if (($VA_USERS[$x]['userno'] > 0) &&
            ($VA_USERS[$x]['userno'] != $CONFIG['guestacct'])) {
            print '<span style="color: #5255FF"><font size="2">' . $VA_USERS[$x]['userno'] . '</font></span><br />' . "\n";
        }
    }
}
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
for ($x = 0; $x <= $VA_USERS[0]; $x++) {
    if (($x == 0) && ($totalGuests > 0)) {
        if ($totalGuests == 1) {
            print '<span style="color: #FFFFFF"><font size="2">Guest</font></span><br />' . "\n";
        } else {
            print '<span style="color: #FFFFFF"><font size="2">Guests (' . $totalGuests . ')</font></span><br />' . "\n";
        }
    } else {
        if (($VA_USERS[$x]['userno'] > 0) &&
            ($VA_USERS[$x]['userno'] != $CONFIG['guestacct'])) {
            print '<a href="userinfo.php?u=' . $VA_USERS[$x]['userno'] . '"><span style="color: #FFFFFF"><font size="2">' . $VA_USERS[$x]['handle'] . '</font></span></a><br />' . "\n";
        }
    }
}
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
for ($x = 0; $x <= $VA_USERS[0]; $x++) {
    if (($x == 0) && ($totalGuests > 0)) {
        print '<span style="color: #FFFF52"><font size="2">Browsing</font></span><br />' . "\n";
    } else {
        if (($VA_USERS[$x]['userno'] > 0) &&
            ($VA_USERS[$x]['userno'] != $CONFIG['guestacct'])) {
            print '<span style="color: #FFFF52"><font size="2">' . $VA_USERS[$x]['action'] . '</font></span><br />' . "\n";
        }
    }
}
?>
            </td>
            <td class="body" align="left" valign="top">
<?php
for ($x = 1; $x <= $totalUsers; $x++) {
    print '<span style="color: #52FF52"><font size="2">vadv-php</font></span><br />' . "\n";
}
?>
            </td>
        </tr>
    </table>
    </center>
</div>
</td>
<td class="poepri" width="7" bgcolor="#000000"> </td>
</tr>
</table>
<table width="700" height="8" cellpadding=0 cellspacing=0 border=0>
<tr>
<td><img src="<?php print $imagepath; ?>/blockbottom.gif"></td>
</tr>
</table>
</center>
<br>
</td>
<td class='frameri'><img src='<?php print $imagepath; ?>/blank.gif' width='11'  alt='' style='display: block;' /></td>
</tr>
</table>
<table width='100%'   border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='ole'><img src='<?php print $imagepath; ?>/blank.gif' width='29' height='12' alt='' style='display: block;' /></td>
<td class='orep'></td>
<td class='ori'><img src='<?php print $imagepath; ?>/blank.gif' width='27' height='12' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' colspan='4' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorrep'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0' border=0>
<tr>
<td class='neurule'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
<td width='973'>
<div style='text-align:center'>
<?php CustomFooter(); ?>
<?php print '<p align="center"><b>.: ' . number_format($stats['webhitstotal']) . ' :.</b></p>'; ?>
</div>
</td>
<td class='neururi'><img src='<?php print $imagepath; ?>/blank.gif' width='7' height='1' alt='' style='display: block;' /></td>
</tr>
</table>
<table style='width:100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='neorle'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
<td class='neorrep'></td>
<td class='neorri'><img src='<?php print $imagepath; ?>/blank.gif' width='8' height='8' alt='' style='display: block;' /></td>
</tr>
</table>
<br/>
<br/>

</body>
</html>